ON_UuidList Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_array.h>`

Inheritance diagram for ON_UuidList:

## Public Member Functions

| ON_UuidList ()
| ON_UuidList (int capacity)
| ~ON_UuidList ()
| ON_UuidList (const ON_UuidList &src)
ON_UuidList & | operator= (const ON_UuidList &src)
int | Count () const
const ON_UUID * | Array () const
void | Empty ()
void | Destroy ()
void | Reserve (int capacity)
void | Compact ()
bool | AddUuid (ON_UUID uuid, bool bCheckForDupicates=true)
bool | RemoveUuid (ON_UUID uuid)
bool | FindUuid (ON_UUID uuid) const
bool | Write (class ON_BinaryArchive &archive) const
bool | Read (class ON_BinaryArchive &archive)
int | GetUuids (ON_SimpleArray< ON_UUID > &uuid_list) const
void | RemapUuids (const ON_SimpleArray< ON_UuidPair > &uuid_remap)

## Static Public Member Functions

static int | CompareUuid (const ON_UUID *a, const ON_UUID *b)

## Detailed Description

Definition at line 1202 of file opennurbs_array.h.

## Constructor & Destructor Documentation

ON_UuidList::ON_UuidList | ( |  | ) |

ON_UuidList::ON_UuidList | ( | int | capacity | ) |

ON_UuidList::~ON_UuidList | ( |  | ) |

ON_UuidList::ON_UuidList | ( | const ON_UuidList & | src | ) |

## Member Function Documentation

bool ON_UuidList::AddUuid | ( | ON_UUID | uuid,
|  | bool | bCheckForDupicates = `true`
| ) |  |

const ON_UUID* ON_UuidList::Array | ( |  | ) | const

void ON_UuidList::Compact | ( |  | ) |

static int ON_UuidList::CompareUuid | ( | const ON_UUID * | a,
|  | const ON_UUID * | b
| ) |  |

static

int ON_UuidList::Count | ( |  | ) | const

void ON_UuidList::Destroy | ( |  | ) |

void ON_UuidList::Empty | ( |  | ) |

bool ON_UuidList::FindUuid | ( | ON_UUID | uuid | ) | const

int ON_UuidList::GetUuids | ( | ON_SimpleArray< ON_UUID > & | uuid_list | ) | const

ON_UuidList& ON_UuidList::operator= | ( | const ON_UuidList & | src | ) |

bool ON_UuidList::Read | ( | class ON_BinaryArchive & | archive | ) |

void ON_UuidList::RemapUuids | ( | const ON_SimpleArray< ON_UuidPair > & | uuid_remap | ) |

bool ON_UuidList::RemoveUuid | ( | ON_UUID | uuid | ) |

void ON_UuidList::Reserve | ( | int | capacity | ) |

bool ON_UuidList::Write | ( | class ON_BinaryArchive & | archive | ) | const

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_array.h